Bug 16565 - additional_fields and additional_field_values are not dropped in kohastructure.sql
Summary: additional_fields and additional_field_values are not dropped in kohastructur...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 10855
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-23 11:19 UTC by Jonathan Druart
Modified: 2016-12-05 21:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16565: Drop additional_fields and additional_field_values before creating them (1.71 KB, patch)
2016-05-23 11:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16565: Drop additional_fields and additional_field_values before creating them (1.76 KB, patch)
2016-05-26 02:32 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 16565: Drop additional_fields and additional_field_values before creating them (1.86 KB, patch)
2016-06-01 13:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-23 11:19:27 UTC

    
Comment 1 Jonathan Druart 2016-05-23 11:21:56 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2016-05-26 02:32:11 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-06-01 13:19:54 UTC
Created attachment 51944 [details] [review]
Bug 16565: Drop additional_fields and additional_field_values before creating them

These 2 tables should be dropped before trying to create them

Test plan:
From the SQL CLI, source the kohastructure.sql file
source it again
=> Without this patch you get 2 warnings
ERROR 1050 (42S01) at line 3580 in file:
'installer/data/mysql/kohastructure.sql': Table
'additional_fields' already exi
sts
ERROR 1050 (42S01) at line 3596 in file:
'installer/data/mysql/kohastructure.sql': Table
'additional_field_values' alrea
dy exists

=> With this patch, you won't get them

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2016-06-03 09:25:12 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-06-15 07:36:13 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-06-16 08:04:00 UTC
Patch pushed to 3.22.x, will be in 3.22.8